diff -pruN 1.48.0-4/debian/changelog 1.48.0-5/debian/changelog
--- 1.48.0-4/debian/changelog	2024-05-15 15:52:58.000000000 +0000
+++ 1.48.0-5/debian/changelog	2024-06-19 16:57:50.000000000 +0000
@@ -1,3 +1,9 @@
+libuv1 (1.48.0-5) unstable; urgency=medium
+
+  * add patch to fix thread-priority test (Closes: 1071194)
+
+ -- Dominique Dumont <dod@debian.org>  Wed, 19 Jun 2024 18:57:50 +0200
+
 libuv1 (1.48.0-4) unstable; urgency=medium
 
   * control: set Provides to ${t64:Provides} (Closes: #1071034)
diff -pruN 1.48.0-4/debian/patches/fix-thread-priority-test 1.48.0-5/debian/patches/fix-thread-priority-test
--- 1.48.0-4/debian/patches/fix-thread-priority-test	1970-01-01 00:00:00.000000000 +0000
+++ 1.48.0-5/debian/patches/fix-thread-priority-test	2024-06-19 16:57:50.000000000 +0000
@@ -0,0 +1,27 @@
+Description: Fix thread priority test
+ Test should not assume to be run at priority 0.
+ .
+ See upstream bug for more details.
+Bug: https://github.com/libuv/libuv/issues/4382
+Bug-Debian: https://bugs.debian.org/1071194
+Author: info@bnoordhuis.nl
+Origin: https://github.com/libuv/libuv/issues/4382
+Applied-Upstream: not-needed
+--- a/test/test-thread-priority.c
++++ b/test/test-thread-priority.c
+@@ -88,8 +88,6 @@
+  * test set nice value for the calling thread with default schedule policy
+ */
+ #ifdef __linux__
+-  ASSERT_OK(uv_thread_getpriority(pthread_self(), &priority));
+-  ASSERT_EQ(priority, 0);
+   ASSERT_OK(uv_thread_setpriority(pthread_self(), UV_THREAD_PRIORITY_LOWEST));
+   ASSERT_OK(uv_thread_getpriority(pthread_self(), &priority));
+   ASSERT_EQ(priority, (0 - UV_THREAD_PRIORITY_LOWEST * 2));
+@@ -102,4 +100,4 @@
+   uv_sem_destroy(&sem);
+ 
+   return 0;
+-}
+\ No newline at end of file
++}
diff -pruN 1.48.0-4/debian/patches/series 1.48.0-5/debian/patches/series
--- 1.48.0-4/debian/patches/series	2024-05-15 15:52:58.000000000 +0000
+++ 1.48.0-5/debian/patches/series	2024-06-19 16:57:50.000000000 +0000
@@ -5,3 +5,4 @@ disable_ipv6_test.patch
 path_max_zero_st_size
 skip-multicast-test
 privacy-breach-generic.patch
+fix-thread-priority-test
